searchNodes=[{"doc":"Churn is a good refactoring candidates finder for your version-control system.","ref":"Churn.html","title":"Churn","type":"module"},{"doc":"","ref":"Churn.html#run/1","title":"Churn.run/1","type":"function"},{"doc":"Churn.CLI is the entrypoint for both the Mix task and the escript.","ref":"Churn.CLI.html","title":"Churn.CLI","type":"module"},{"doc":"Runs Churn with the given args and exits the process.","ref":"Churn.CLI.html#main/1","title":"Churn.CLI.main/1","type":"function"},{"doc":"Represents the whole configuration of Churn. It's used for every run.","ref":"Churn.Configuration.html","title":"Churn.Configuration","type":"module"},{"doc":"","ref":"Churn.Configuration.html#build/1","title":"Churn.Configuration.build/1","type":"function"},{"doc":"","ref":"Churn.Configuration.html#t:t/0","title":"Churn.Configuration.t/0","type":"type"},{"doc":"The main mechanism responsible for running analyse of printing results on the screen.","ref":"Churn.Execution.html","title":"Churn.Execution","type":"module"},{"doc":"","ref":"Churn.Execution.html#run/1","title":"Churn.Execution.run/1","type":"function"},{"doc":"Cyclomatic Complexity calulator, source code based (stolen?) from: https://github.com/rrrene/credo/blob/master/lib/credo/check/refactor/cyclomatic_complexity.ex","ref":"Churn.Processor.CyclomaticComplexity.html","title":"Churn.Processor.CyclomaticComplexity","type":"module"},{"doc":"","ref":"Churn.Processor.CyclomaticComplexity.html#calculate/1","title":"Churn.Processor.CyclomaticComplexity.calculate/1","type":"function"},{"doc":"","ref":"Churn.Processor.CyclomaticComplexity.html#do_block?/1","title":"Churn.Processor.CyclomaticComplexity.do_block?/1","type":"function"},{"doc":"","ref":"Churn.Processor.CyclomaticComplexity.html#do_block_for!/1","title":"Churn.Processor.CyclomaticComplexity.do_block_for!/1","type":"function"},{"doc":"Run churn analysis of specified directories Available options: --min-score-to-show 1 [-s] --commit-since &quot;1 year ago&quot; [-t] --directories-to-scan &quot;lib,test&quot; [-d] --file-extensions &quot;ex,exs&quot; [-e] --files-to-ignore &quot;lib/churn/testing.ex&quot; [-i] --config &quot;foo/bar.exs&quot; [-c]","ref":"Mix.Tasks.Churn.html","title":"Mix.Tasks.Churn","type":"task"},{"doc":"Churn Help discover a good refactoring candidates using cyclomatic complexity and frequency of editing files","ref":"readme.html","title":"Churn","type":"extras"},{"doc":"What Is it? How to Use? How to Install? Similar Packages How to release?","ref":"readme.html#table-of-contents","title":"Churn - Table of Contents","type":"extras"},{"doc":"churn is a package that helps you identify .ex files in your project that could be good candidates for refactoring. It examines each Elixir file in the path it is provided and: Checks how many commits it has. Calculates the cyclomatic complexity. Creates a score based on these two values. The results are displayed in a table:","ref":"readme.html#what-is-it","title":"Churn - What is it?","type":"extras"},{"doc":"You can use some of existing flags to precise Churn results --min-score-to-show (-s shortcut) Example: -s 2 --commit-since (-t shortcut) Example: -t &quot;2 months ago&quot; --directories-to-scan (-d shortcut) Example: -d lib,test --file-extensions [-e shortcut] Example -e &quot;ex,exs&quot; --files-to-ignore [-i shortcut] Example -i &quot;lib/churn/hello_world.ex&quot; --config [-c shortcut] Example -C foo/bar.exs","ref":"readme.html#how-to-use","title":"Churn - How to use","type":"extras"},{"doc":"The package can be installed by adding churn to your list of dependencies in mix.exs and then you need to copy .churn.exs file into your project. Update your mix.exs : def deps do [ { :churn , &quot;~&gt; 0.1&quot; , only : :dev } ] end Copy and configure the .churn.exs file: %{ # # Minimum score to show in a table. # min_score_to_show : 0 , # # Provide a human readable time to use git-log history for churn. # commit_since : &quot;1 year ago&quot; , # # Describes output type for the Churn results # output_type : :console , # # Where to find a files to analyse and seeking for refactoring candidates. # directories_to_scan : [ &quot;lib&quot; ] , # # Which extensions should be used for seeking project files. # file_extensions : [ &quot;ex&quot; , &quot;exs&quot; ] , # # Determines files should we ignore and protect from analysis. # files_to_ignore : [ ] } Docs: https://hexdocs.pm/churn .","ref":"readme.html#how-to-install","title":"Churn - How to install","type":"extras"},{"doc":"https://github.com/danmayer/churn (Ruby) https://github.com/chad/turbulence (Ruby) https://github.com/bmitch/churn-php (PHP)","ref":"readme.html#similar-packages","title":"Churn - Similar Packages","type":"extras"},{"doc":"","ref":"how_to_release.html","title":"HOW_TO_RELEASE","type":"extras"},{"doc":"Checklist Ensure working dir is clean Update version in mix.exs Create a commit: git commit -a -m &quot;Bump version to 0.X.Y&quot; git tag v0.X.Y mix test &amp;&amp; mix hex.publish git push --tags","ref":"how_to_release.html#how-to-release-a-new-tool-version","title":"HOW_TO_RELEASE - How to release a new tool version","type":"extras"}]